function pass = test_cell2str

% cells to test
testcells = {{1,2,3},...
  num2cell(rand(3,2)),...
  {int16(1),2,'bla'},...
  {rand(3,2),1,'bla'},...
  {1,{{2,3}}},...
  };

passed = false(numel(testcells),1);

for ii=1:numel(testcells)
  C = testcells{ii};
  str = cell2str(C);
  passed(ii) = (isequaln(eval(str),C));
end

pass = all(passed);